# Created by pyp2rpm-3.3.5
%global pypi_name rfc3986-validator
%define srcname rfc3986_validator

Name:           python-%{pypi_name}
Version:        0.1.1
Release:        %mkrel 3
Summary:        Pure python rfc3986 validator
Group:          Development/Python
License:        MIT license
URL:            https://github.com/naimetti/rfc3986-validator
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  pyproject-rpm-macros
BuildRequires:  python3-devel
# For tests
BuildRequires:  python3dist(rfc3987)
BuildRequires:  python3dist(hypothesis)

%description
A pure python RFC3986 validator.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
A pure python RFC3986 validator.

%prep
%autosetup -p1 -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Sat Mar 01 2025 wally <wally> 0.1.1-3.mga10
+ Revision: 2155908
- rebuild for python3.13

* Tue Dec 26 2023 wally <wally> 0.1.1-2.mga10
+ Revision: 2021694
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Nov 30 2022 papoteur <papoteur> 0.1.1-1.mga9
+ Revision: 1913566
- imported package python-rfc3986-validator

